### Method

# EDataServer SoupSession send_message_simple_sync

since: 3.26

#### Declaration [src]

    GByteArray*
    e_soup_session_send_message_simple_sync (
      ESoupSession* session,
      SoupMessage* message,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Similar to e_soup_session_send_message_sync(), except it reads whole response content into memory and returns it as a `GByteArray`. Use `e_soup_session_send_message_sync()` when you want to have more control on the content read.

Available since: 3.26

#### Parameters

`message`

  Type: `SoupMessage`

  A `SoupMessage` to send.

  The data is owned by the caller of the method.

`cancellable`

  Type: `GCancellable`

  Optional `GCancellable` object, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: An array of `guint8`

A newly allocated `GByteArray`, which contains whole content from the URI pointed to by `message`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.